<?php 
require_once ("../../config/Cado.php");
require_once ("../venta/cVenta.php");
$oVenta = new cVenta();
//defino una clase que voy a utilizar para generar los elementos sugeridos en autocompletar
class ElementoAutocompletar {
   var $id;
   var $label;
   var $value;
   var $est;
 
   function __construct($id, $label, $value, $est){
		$this->id = $id;
		$this->label = $label;
		$this->value = $value;
		$this->est = $est;
   }
}
//recibo el dato que deseo buscar sugerencias
$datoBuscar = $_GET["term"];
//busco un valor aproximado al dato escrito
$rs=$oVenta->buscar_docnum_complete($datoBuscar);
//creo el array de los elementos sugeridos
$arrayElementos = array();
//bucle para meter todas las sugerencias de autocompletar en el array
while ($fila = mysqli_fetch_array($rs)){
   array_push($arrayElementos, new ElementoAutocompletar($fila["tb_venta_id"], $fila["tb_venta_numdoc"].' ::: '.$fila["tb_cliente_nom"],$fila["tb_venta_numdoc"],$fila["tb_venta_est"]));
}
print_r(json_encode($arrayElementos));
?>